import { EventEmitter, ChangeDetectorRef, OnDestroy, OnInit, AfterViewInit } from '@angular/core';
import { FormControl, FormGroup, NgForm, ValidatorFn } from '@angular/forms';
export declare class SdCheckbox implements OnDestroy, OnInit, AfterViewInit {
    #private;
    private ref;
    id: string;
    set name(val: string);
    set form(val: NgForm | FormGroup);
    formControl: FormControl;
    label: string;
    color: 'primary' | 'warn';
    set disabled(val: boolean | '');
    set model(value: any);
    inlineError: string;
    set _inlineError(val: string);
    modelChange: EventEmitter<any>;
    sdChange: EventEmitter<any>;
    constructor(ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    customInlineErrorValidator(): ValidatorFn;
}
